% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/problem.R
\name{addMinimalClassCardinalities}
\alias{addMinimalClassCardinalities}
\title{Add minimal class cardinality restrictions}
\usage{
addMinimalClassCardinalities(problem, ...)
}
\arguments{
\item{problem}{Problem to which preference information will be added.}

\item{...}{Minimal cardinalities as two-element vectors \code{c(i, j)}, where
\emph{j} is a minimal cardinality of class \emph{C_i}.}
}
\value{
Problem with added preference information.
}
\description{
This function allows to define minimal cardinality of particular classes.
}
\examples{
# 4 alternatives, 2 gain criteria, 3 classes, monotonously increasing
# and general marginal value functions
perf <- matrix(c(5, 2, 1, 7, 0.5, 0.9, 0.4, 0.4), ncol = 2)
problem <- buildProblem(perf, 3, FALSE, c('g', 'g'), c(0, 0))

# set minimal class cardinalities:
# at least one alternative has to be assigned to class 2
# and at least one alternative has to be assigned to class 3
problem <- addMinimalClassCardinalities(problem, c(2, 1), c(3, 1))
}
\seealso{
\code{\link{buildProblem}}
\code{\link{removeMinimalClassCardinalities}}
}

